Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.amazonaws.services.ec2.model
Enum InstanceType

    java.lang.Object
      java.lang.Enum<InstanceType>
          com.amazonaws.services.ec2.model.InstanceType

All Implemented Interfaces:
  Serializable, Comparable<InstanceType>

    public enum InstanceType

extends Enum<InstanceType>

Instance Type

Enum Constant Summary
`C1Medium`
`C1Xlarge`
`Cc14xlarge`
`M1Large`
`M1Small`
`M1Xlarge`
`M22xlarge`
`M24xlarge`
`M2Xlarge`

Method Summary
`static InstanceType` | `fromValue(String value)` Use this in place of valueOf.
`String` | `toString()`
`static InstanceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InstanceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### M1Small

    public static final InstanceType M1Small

### M1Large

    public static final InstanceType M1Large

### M1Xlarge

    public static final InstanceType M1Xlarge

### M2Xlarge

    public static final InstanceType M2Xlarge

### M22xlarge

    public static final InstanceType M22xlarge

### M24xlarge

    public static final InstanceType M24xlarge

### C1Medium

    public static final InstanceType C1Medium

### C1Xlarge

    public static final InstanceType C1Xlarge

### Cc14xlarge

    public static final InstanceType Cc14xlarge

Method Detail

### values

    public static InstanceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InstanceType c : InstanceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InstanceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<InstanceType>`

### fromValue

    public static InstanceType fromValue(String value)

  Use this in place of valueOf.

  Parameters:
    `value` - real value
  Returns:
    InstanceType corresponding to the value

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.